// Fonts
@import url('https://fonts.googleapis.com/css?family=Asul|Chivo');

// Variables
@import 'variables';

// Bootstrap
@import '../../../../node_modules/bootstrap/scss/bootstrap';

@import 'partials/footer';

/**

 */

%vertical-dark-gradient {
    $base-color: $color3;

    background: $base-color; /* Old browsers */
    background: -moz-linear-gradient(top, $base-color 0%, $color4 50%, $color5 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(top, $base-color 0%,$color4 50%,$color5 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to bottom, $base-color 0%,$color4 50%,$color5 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    //filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#7db9e8', endColorstr='#1e5799',GradientType=0 ); /* IE6-9 */
}

/**

 */

.post{
    &-header {
        border-bottom: 1px solid rgba($dark, .23);
        @extend .text-center;
        @extend .mb-5;

        .card-text {
            //font-size: 1rem * ($gold / 1.85);
        }

        .card-text:first-child {
            padding-top: .35rem;
        }

        .card-text:last-child {
            padding-bottom: 1rem;
        }
    }

    &-text {
        width: 100%;
        max-width: 600px;
        @extend .mx-auto;

        //
        h1 {
            @extend .h1;
        }
        h2 {
            @extend .h2;
        }
        h3 {
            @extend .h3;
        }
        h4 {
            @extend .h4;
        }
        h5 {
            @extend .h5;
        }
        h6 {
            @extend .h6;
        }

        blockquote {
            @extend .blockquote;
            padding: .75rem;
            background-color: rgba($secondary, .75);
            border-right-width: 5px;
            border-right-style: $border-style;
            border-right-color: darken($secondary, $gold);
        }
    }
}

main {
    .card {
        border-width: 5px;
        border-style: $border-style;
    }
}

.navbar {
    border-color: $border-color--dark;

    border-bottom-style: $border-style;
    border-bottom-width: 5px;
}

.jumbotron {
    color: $jumbotron-color;

    h1 {
        color: $jumbotron-heading-color;
    }
}

.breadcrumb-item a {
    color: $breadcrumb-color;
}

body {
    background-image: url('/templates/dark-soul/img/redox-01.png');
}
